View Issue Details

IDProjectCategoryView StatusLast Update
0002977Ham Radio DeluxeBugpublic2019-01-16 22:05
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.5.0.132 
Target VersionFixed in Version6.5.0.183 
Summary0002977: Rig Control: FTDX 3000 TX and RX Polarity sliders don't works
DescriptionThese sliders in the Rig Control UI don't correctly control the settings of the FTDX 3000 radio:

94: RX Polarity
95: TX Polarity
Steps To Reproduce1) Fire up Rig Control
2) Connect to the FTDX 3000
3) Customize the slider view to include the "094 RX Polarity" and "095 TX Polarity" sliders
4) Set the radio to show these parameters in the menu
5) Work the sliders

BUG#1) As the sliders in Rig control are adjusted, the values on the radio do not change.
BUG#2) Adjusting the parameters with the radio's front panel doesn't change the value or position of the sliders in Rig Control.
TagsFTDX-3000, Yaesu
ModuleRig Control
Sub-ModuleRadio Support
Testing Beta Successful

Relationships

Activities

K7ZCZ

2018-12-11 18:37

manager   ~0006580

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4544

WA9PIE

2019-01-09 13:29

administrator   ~0006914

Validated by user

Issue History

Date Modified Username Field Change
2018-12-11 06:24 K7ZCZ New Issue
2018-12-11 06:24 K7ZCZ Tag Attached: FTDX-3000
2018-12-11 06:24 K7ZCZ Tag Attached: Yaesu
2018-12-11 18:37 K7ZCZ Assigned To => K7ZCZ
2018-12-11 18:37 K7ZCZ Status new => resolved
2018-12-11 18:37 K7ZCZ Resolution open => fixed
2018-12-11 18:37 K7ZCZ Note Added: 0006580
2018-12-14 17:18 K7ZCZ Fixed in Version => 6.5.0.137
2018-12-14 17:18 K7ZCZ Description Updated View Revisions
2018-12-14 17:18 K7ZCZ Steps to Reproduce Updated View Revisions
2019-01-09 13:29 WA9PIE Status resolved => closed
2019-01-09 13:29 WA9PIE Testing Not Started => Beta Successful
2019-01-09 13:29 WA9PIE Note Added: 0006914
2019-01-16 22:04 WA9PIE Fixed in Version 6.5.0.137 => 6.5.0.183
2019-01-16 22:05 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe